//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2004 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_POCKETHAL_H
#define POCKETHAL_POCKETHAL_H



//////////////////////////////////////////////////////////////////////////////
//
// Include everything
//
//////////////////////////////////////////////////////////////////////////////

#include <PocketHAL/display.h>
#include <PocketHAL/surface.h>

#if defined(PHAL_PLATFORM_WIN32)
#include <PocketHAL/win32/GDISurface.h>
#endif



//////////////////////////////////////////////////////////////////////////////
//
// Helper macros
//
//////////////////////////////////////////////////////////////////////////////

#define POCKETHAL_DO_STRINGIZE(x) #x
#define POCKETHAL_STRINGIZE(x) POCKETHAL_DO_STRINGIZE(x)



//////////////////////////////////////////////////////////////////////////////
//
// Definitions
//
//////////////////////////////////////////////////////////////////////////////

#define POCKETHAL_VERSION_MAJOR    0
#define POCKETHAL_VERSION_MINOR    7
#define POCKETHAL_VERSION_SUBMINOR 0

#define POCKETHAL_VERSION_STRING _T("PocketHAL (Version ")_T(POCKETHAL_STRINGIZE(POCKETHAL_VERSION_MAJOR))_T(".")_T(POCKETHAL_STRINGIZE(POCKETHAL_VERSION_MINOR))_T(".")_T(POCKETHAL_STRINGIZE(POCKETHAL_VERSION_SUBMINOR))_T(")")



//////////////////////////////////////////////////////////////////////////////
//
// API functions
//
//////////////////////////////////////////////////////////////////////////////

namespace PHAL
{

unsigned GetClock();         // Return the time in milliseconds



} // end of namespace PHAL



#endif
