//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2004 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_UTILITY_H
#define POCKETHAL_UTILITY_H

#include <PocketHAL/config.h>



namespace PHAL
{

//////////////////////////////////////////////////////////////////////////////
//
// NonCopyable
//
//////////////////////////////////////////////////////////////////////////////

class NonCopyable
{
protected:
    NonCopyable() {}
    ~NonCopyable() {}

private:
    NonCopyable( const NonCopyable& );
    const NonCopyable& operator=( const NonCopyable& );
};



//////////////////////////////////////////////////////////////////////////////
//
// min/max
//
//////////////////////////////////////////////////////////////////////////////

template<typename T> inline
T min( const T& a, const T& b )
{
    return (a<b) ? a : b;
}

template<typename T> inline
T max( const T& a, const T& b )
{
    return (b<a) ? a : b;
}



//////////////////////////////////////////////////////////////////////////////
//
// Swap
//
//////////////////////////////////////////////////////////////////////////////

template<typename T>
inline void swap( T& a, T& b )
{
    T t(a);
    a = b;
    b = t;
}



} // end of namespace PHAL



#endif
