//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2004 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_GDISURFACE_H
#define POCKETHAL_GDISURFACE_H

#include "../surface.h"
#include <windows.h>



namespace PHAL
{


//////////////////////////////////////////////////////////////////////////////
//
// GDISurface
//
//////////////////////////////////////////////////////////////////////////////

class GDISurface : public Surface
{
public:

    // Create a GDI surface
    static GDISurface* Create( unsigned width, unsigned height );

    ~GDISurface();

    // Access the DC
    HDC GetDC() const { return m_hDC; }

private:

    GDISurface( unsigned width, unsigned height );

    HBITMAP  m_hBitmap;
    HDC      m_hDC;
};



} // end of namespace PHAL



#endif
