//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2004 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef INCLUDED_SAMPLEUI_H
#define INCLUDED_SAMPLEUI_H

#include <aknappui.h>
#include <PocketHAL/PocketHAL.h>

class SampleView;



//////////////////////////////////////////////////////////////////////////////
//
// SampleUI
//
//////////////////////////////////////////////////////////////////////////////

class SampleUI : public CAknAppUi
{
public:

    typedef CAknAppUi Superclass;

    void ConstructL();
    ~SampleUI();


private:

    // From CEikAppUi, takes care of command handling.
    void HandleCommandL( TInt aCommand );

    // Called when gaining focus
    void HandleForegroundEventL( TBool aForeground );

    // From CEikAppUi, handles key events.
    virtual TKeyResponse HandleKeyEventL( const TKeyEvent& aKeyEvent, TEventCode aType );

    // Main loop
    void GameLoop();

    // Idle timer callback
    static TInt IdleTimerCallback( TAny* sampleUI );

    // Data
    SampleView*     m_view;
	CIdle*          m_idleTimer;
    PHAL::Display*  m_display;
    unsigned        m_frame;
};



#endif
